#include "pixmap.h"
#include "pixmap_impl.h"

void pixmap_clear(struct pixmap * this) {
    this->vtable->clear(this);
}

int pixmap_get_pixel(const struct pixmap * this, unsigned int x, unsigned int y) {
    return this->vtable->get_pixel(this, x, y);
}

void pixmap_set_pixel(struct pixmap * this, unsigned int x, unsigned int y, int value) {
    this->vtable->set_pixel(this, x, y, value);
}

unsigned int pixmap_get_width(const struct pixmap * this) {
    return this->vtable->get_width(this);
}

unsigned int pixmap_get_height(const struct pixmap * this) {
    return this->vtable->get_height(this);
}

size_t pixmap_get_memory_size(const struct pixmap * this) {
    return this->vtable->get_memory_size(this);
}

void pixmap_destroy(struct pixmap * this) {
    this->vtable->destroy(this);
}
